# std::unordered_map<Key,T,Hash,KeyEqual,Allocator>::end(size_type), std::unordered_map<Key,T,Hash,KeyEqual,Allocator>::cend(size_type)

From cppreference.com
< cpp‎ | container‎ | unordered map

local_iterator end( size_type n ); |  | (since C++11)
const_local_iterator end( size_type n ) const; |  | (since C++11)
const_local_iterator cend( size_type n ) const; |  | (since C++11)

Returns an iterator to the element following the last element of the bucket with index `n`. . This element acts as a placeholder, attempting to access it results in undefined behavior.

### Parameters

n | - | the index of the bucket to access

### Return value

iterator to the element following the last element

### Complexity

Constant

### See also

begin(size_type) cbegin(size_type) | returns an iterator to the beginning of the specified bucket (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/container/unordered_map/end2&oldid=50691"